<?php
  include_once ("meta.php");  
  include_once ("search.php");
  include_once ("htmlfuncs.php");
  include_once ("gxml.php");
  include_once ("background.php");
  include_once ("logger.php");
  
  function get_contents($f)
  {    
    ob_start();
    $retval = @readfile($f);
    if (false !== $retval)
    { // no readfile error
        $retval = ob_get_contents();
    }
    ob_end_clean();
    return $retval;
  }
  
  function GetDescLink($ASIN, $Associate)
  {
    return PopUp("desc.php?Asin=".$ASIN."&Associate=".$Associate,
                 "Description",
                 400,
                 400,
                 "<img src=\"tbimages/desc.jpg\" border=0>");    
  }
  
  function GetReviewLink($ASIN, $Associate, $Obj)
  {
    $Result = "";
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->REVIEWS[0]->CUSTOMERREVIEW[0]->COMMENT[0]->Data))
    {
      $Result = PopUp("review.php?Asin=".$ASIN."&Associate=".$Associate,
                      "Review",
                      650,
                      400,
                      "<img src=\"tbimages/reviews.jpg\" border=0>");
    }
    return $Result;
  }
  
  function GetAddLink($ASIN, $Associate, $Obj)
  {    
    $Result = "";
    //If the item is not available.
    $Availability = strtoupper($Obj->PRODUCTINFO[0]->DETAILS[0]->AVAILABILITY[0]->Data);
    if (substr_count($Availability, "NOT AVAILABLE") ||
        substr_count($Availability, "NOT STOCK")     ||
        substr_count($Availability, "DISCONTINUE"))
    {
      $Result = $Obj->PRODUCTINFO[0]->DETAILS[0]->AVAILABILITY[0]->Data;
    }
    else
    {
      if ($Obj->PRODUCTINFO[0]->DETAILS[0]->OURPRICE[0]->Data != "")
      {
        $Result = href(IMG("tbimages/add.jpg"), "cart.php?Associate=$Associate&ASIN=$ASIN");
      }
    }
    return $Result;
  }
  
  function GetRelistLink($Page, $Keywords, $Associate, $Category)
  {
    return href(IMG("tbimages/more.jpg"), "index.php?Page=$Page&Keywords=$Keywords&Associate=$Associate&Category=$Category");
  }
  
  function GetListPriceText($Obj)
  {
    $Result = "";
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->LISTPRICE[0]->Data))
    {
      $Result = "<B>List Price:</B> ".Line($Obj->PRODUCTINFO[0]->DETAILS[0]->LISTPRICE[0]->Data);
    }
    return $Result;
  }
  
  function GetPriceText($Obj)
  {
    $Result = "";
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->OURPRICE[0]->Data))
    {
      $Result = "<B>Our Price: ".Font("Arial", 3, $Obj->PRODUCTINFO[0]->DETAILS[0]->OURPRICE[0]->Data, "#008000")."</B>";
    }
    return $Result;
  }

  function GetSavingsText($Obj)
  {
    $Result = "";
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->LISTPRICE[0]->Data) &&
        isset($Obj->PRODUCTINFO[0]->DETAILS[0]->OURPRICE[0]->Data))
    {
      $List   = substr_replace($Obj->PRODUCTINFO[0]->DETAILS[0]->LISTPRICE[0]->Data, "", 0, 1);
      $Our    = substr_replace($Obj->PRODUCTINFO[0]->DETAILS[0]->OURPRICE[0]->Data, "", 0, 1);
      $SaveD  = $List - $Our;
      $SaveP  = round($SaveD / $List * 100);      
      $Result = "<b>You Save: \$".number_format($SaveD, 2)." (".$SaveP."%)</b>";
    }
    return $Result;
  }  
  
  function GetDesc($Obj)
  {
    $Desc = urldecode($Obj->PRODUCTINFO[0]->DETAILS[0]->PRODUCTDESCRIPTION[0]->Data);
    if (strlen($Desc) > 0)
    {
      $Result = substr($Desc, 0, 250)."...";
    }
    else
    {
      $Result = "No description could be found.";
    }

    return $Result;
  }
  
  function InfoAndLinks($Obj, $Associate, $Keywords, $ASIN, $Category, $Page)
  {   
    $Menu  = TRTDC(GetDescLink($ASIN, $Associate));
    $Menu .= TRTDC(GetReviewLink($ASIN, $Associate, $Obj));
    $Menu .= TRTDC(GetAddLink($ASIN, $Associate, $Obj));
    $Menu .= TRTDC(GetRelistLink($Page, $Keywords, $Associate, $Category));
    
    $Result = Table((TR(TD(Table(GetDesc($Obj))).(TD(TableW($Menu, 200))))));
    
    return $Result;
  }

  function ImgPrice($Obj)
  {
    $img     = $Obj->PRODUCTINFO[0]->DETAILS[0]->IMAGEURLMEDIUM[0]->Data;
    $Result  = TRTDC(IMG($img));
    $Result .= TRTDC(GetListPriceText($Obj));
    $Result .= TRTDC(GetPriceText($Obj));
    $Result .= TRTDC(GetSavingsText($Obj));
    return $Result;
  }


  //Get the paramenters
  $Associate  = Associate();
  $Category   = GetParam("Category", "books");
  $Keywords   = GetParam("Keywords", "harry%20potter");
  $Page       = GetParam("Page", "1");
  $ASIN       = GetParam("ASIN", "B00000JH6U");
  $CartID     = GetParam("CartID", "");//CARTID and HMAC are only passed as cookies
  $HMAC       = GetParam("HMAC", "");//CARTID and HMAC are only passed as cookies
  $Sort       = GetParam("Sort", "+salesrank");
  
  //Log the ASIN that is being looked at.
  LogT("I", $ASIN);
  
  $Filename  = "http://xml.amazon.com/onca/xml3?t=$Associate&dev-t=D11PEK22YBCZS3&AsinSearch=$ASIN&type=heavy&f=xml";
  $Obj       = GXMLTree($Filename);
  
  $ProductName = $Obj->PRODUCTINFO[0]->DETAILS[0]->PRODUCTNAME[0]->Data;

  $Result  = "<HTML>";
  $Result .= Meta("ThinkBling Search for $ProductName", "A custom ThinkBling search for items pertaining to ".rawurldecode($Keywords));
  
  $Result .= "<script language=\"javascript\">";
  $Result .= "function popupWindow(url)\n{\n";
  $Result .= "window.open(url,'popupWindow','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=yes,copyhistory=no,width=100,height=100,screenX=150,screenY=150,top=150,left=150');}\n";
    $Result .= "</script>\n";
  
  $Result .= "<BODY>";
  $Result .= "<CENTER>";
  $Result .= search($Associate,
                    $Category,
                    $Keywords,
                    $Sort);
                        
  $Result .= "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse\" width=\"700\" id=\"AutoNumber1\">"; 
  $Result .= TRTDC("<b><u>".$ProductName."</u></b>\n");
  $Result .= Table(TR(TDW(Table(ImgPrice($Obj)), "20%").
                      TDW(InfoAndLinks($Obj, $Associate, $Keywords, $ASIN, $Category, $Page), "80%")));
   $Result .= "</table>";
  $Result .= "</CENTER>";
  $Result .= "</BODY>";
  $Result .= "</HTML>";  
  echo($Result);
  ?>


